Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class GetPseudoColumns

java.lang.Object
org.firebirdsql.jdbc.metadata.GetPseudoColumns

public abstract class GetPseudoColumns extends Object
Provides the implementation of `DatabaseMetaData.getPseudoColumns(String, String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COLUMN_RELATION_NAME`

## Method Summary

Modifier and Type
Method
Description
`static GetPseudoColumns`
`create(DbMetadataMediator mediator)`
`ResultSet`
`getPseudoColumns(String tableNamePattern, String columnNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COLUMN_RELATION_NAME

public static final String COLUMN_RELATION_NAME

See Also:
  - Constant Field Values

## Method Details

### getPseudoColumns

public ResultSet getPseudoColumns(String tableNamePattern, String columnNamePattern) throws SQLException

Throws:
  `SQLException`

### create

public static GetPseudoColumns create(DbMetadataMediator mediator)